classification
Title: Indicate that there are no current plans to deprecate printf-style formatting
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, docs@python, eric.araujo, eric.smith, ezio.melotti, gregory.p.smith, ncoghlan, python-dev, telephonebook, tshepang, v+python
Priority: normal Keywords:

Created on 2012-02-25 20:48 by telephonebook, last changed 2013-03-04 16:49 by ezio.melotti. This issue is now closed.

Messages (6)
msg154283 - (view) Author: Christine Jones (telephonebook) Date: 2012-02-25 20:48
Change to this http://docs.python.org/py3k/library/stdtypes.html as suggested by Nick Coghlan here http://www.gossamer-threads.com/lists/python/dev/969817

"The formatting operations described here are modelled on C's printf()
syntax. They only support formatting of certain builtin types, and the
use of a binary operator means that care may be needed in order to
format tuples and dictionaries correctly. As the new string formatting
syntax is more powerful, flexible, extensible and handles tuples and
dictionaries naturally, it is recommended for new code. However, there
are no current plans to deprecate printf-style formatting."
msg154294 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-26 02:34
I’d like to make a patch with Nick’s text and a few examples.
msg154320 - (view) Author: Roundup Robot (python-dev) Date: 2012-02-26 09:54
New changeset 80069bbae26d by Gregory P. Smith in branch '3.2':
Issue #14123: Explicitly mention that old style % string formatting has caveats
http://hg.python.org/cpython/rev/80069bbae26d

New changeset 98a1855ebfe1 by Gregory P. Smith in branch 'default':
Issue #14123: Explicitly mention that old style % string formatting has caveats but is not going away any time soon.
http://hg.python.org/cpython/rev/98a1855ebfe1
msg154445 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-02-27 09:06
Apparently this was too urgent too wait for my patch :)

Not closing yet, as there are still phrasing issues discussed on python-dev.
msg183389 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2013-03-03 17:04
I can't see too much sense in leaving this open, what are your opinions?
msg183476 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-04 16:49
The only issue seems about the use of the word "deprecate", but I think it's fine, so I'll close this issue.
History
Date User Action Args
2013-03-04 16:49:07ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg183476
2013-03-03 17:04:21BreamoreBoysetnosy: + BreamoreBoy
messages: + msg183389
2012-02-27 09:40:55ezio.melottisetnosy: + ezio.melotti

type: enhancement
stage: needs patch -> resolved
2012-02-27 09:06:04eric.araujosetassignee: eric.araujo ->

messages: + msg154445
nosy: + gregory.p.smith
2012-02-26 09:54:56python-devsetnosy: + python-dev
messages: + msg154320
2012-02-26 02:34:47eric.araujosetversions: + Python 2.7, Python 3.2, Python 3.3
nosy: + eric.araujo, ncoghlan

messages: + msg154294

assignee: docs@python -> eric.araujo
stage: needs patch
2012-02-26 00:03:53tshepangsettitle: Doc change re old and new string formatting -> Indicate that there are no current plans to deprecate printf-style formatting
2012-02-25 23:49:46tshepangsetnosy: + tshepang
2012-02-25 21:09:41v+pythonsetnosy: + v+python
2012-02-25 21:04:24eric.smithsetnosy: + eric.smith
2012-02-25 20:48:48telephonebookcreate